Summary: Frodo is a Commodore 64 emulator.
Name: Frodo
Version: 4.1a
Release: 1
Copyright: Noncommercial
Group: Applications/Emulators
Source0: http://www.uni-mainz.de/~bauec002/FrodoV4_1a.Src.tar.gz
Source1: FrodoScripts.tgz
Patch0: http://ms.demo.org/rst/dl/FrodoV4.1a-16bpp-patch.gz
Patch1: Frodo-XSHM.patch
Patch2: Frodo-TkGui.patch
URL: http://www.uni-mainz.de/~bauec002/FRMain.html
Requires: tcl

%description
Frodo V4.1 is a free, portable C64 emulator for BeOS, Unix, MacOS, AmigaOS,
RiscOS and WinNT/95 systems. 

Some of the emulation's features:

     This emulator focuses on the exact reproduction of special graphical
     effects possible on the C64, and has therefore relatively high system
     requirements. It should only be run on systems with at least a
     PowerPC/Pentium/68060. 
     Frodo is capable of running most games and demos correctly, even those
     with FLI, FLD, DYCP, open borders, multiplexed sprites, timing dependent
     decoders, fast loaders etc. 
     6510 emulation: All undocumented opcodes, 100 percent correct decimal
     mode, instruction/cycle exact emulation. 
     VIC emulation: Line-/cycle-based emulation, all display modes, sprites
     with collisions/priorities, DMA cycles, open borders, all $d011/$d016
     effects. 
     SID emulation: Real-time digital emulation (16 bit, 44.1kHz), including
     filters (only under BeOS, Linux, HP-UX, MacOS and AmigaOS). 
     1541 emulation: Drive simulation in directories, .d64/x64 or .t64/LYNX
     files, or processor-level 1541 emulation that works with about 95 percent
     of all fast loaders and even some copy protection schemes. 
     Other peripherals: Keyboard and joystick (real joysticks (only under
     BeOS, Linux and AmigaOS) or keyboard emulation). 
     The full source code in C++ is available. 
     Frodo is freeware. Why pay >$40 for a C64 emulator? 

%changelog
* Sun Jul 5 1998 Jason Spangler <jasons@usemail.com>
  - initial creation of RPM
	- added 16-bit color patch
	- added XSHM patch
	- added patch to comment out tk 4.1 requirement in TkGui.tcl

%prep
%setup -n Frodo
%setup -T -D -a 1 -n Frodo
%patch2 -p 1
cd Src
%patch0 -p 1
./configure
%patch1 -p 1

%build
cd Src
make all

%install
install -d 755 /usr/lib/Frodo
install -m 755 Src/Frodo /usr/lib/Frodo/
install -m 755 Src/FrodoPC /usr/lib/Frodo/
install -m 755 Src/FrodoSC /usr/lib/Frodo/
install -m 755 TkGui.tcl /usr/lib/Frodo/
install -m 644 "1541 ROM" /usr/lib/Frodo/
install -m 644 "Basic ROM" /usr/lib/Frodo/
install -m 644 "Char ROM" /usr/lib/Frodo/
install -m 644 "Frodo Logo" /usr/lib/Frodo/
install -m 644 "Kernal ROM" /usr/lib/Frodo/
install -d 755 /usr/lib/Frodo/64prgs
install -d 755 /usr/lib/Frodo/64imgs
install -m 644 64prgs/* /usr/lib/Frodo/64prgs/
install -m 755 FrodoScripts/Frodo /usr/bin/
install -m 755 FrodoScripts/FrodoPC /usr/bin/
install -m 755 FrodoScripts/FrodoSC /usr/bin/

%files
%doc Docs/*
%doc CHANGES
%dir /usr/lib/Frodo
/usr/bin/Frodo
/usr/bin/FrodoPC
/usr/bin/FrodoSC
/usr/lib/Frodo/*
